## ros-foxy-depth-image-proc 2.3.0

=== debian/changelog ===
ros-foxy-depth-image-proc (2.3.0-1focal) focal; urgency=high

  * Fix linker error caused by templating in the conversions.cpp file (#718 <https://github.com/ros-perception/image_pipeline/issues/718>)
  * Fixed typo in pointcloudxyz launch file
  * use unique_ptrs, remove unused code, add back in missing initMatrix call
  * add xyzrgb radial node
  * Use RCLCPP_WARN_THROTTLE (10 secs) to avoid terminal spam
  * Fix tiny error in comment
  * Warning instead of fatal error when frames are differents
  * revert a293252
  * Replace deprecated geometry2 headers
    tf2_geometry_msgs.h was deprecated in https://github.com/ros2/geometry2/pull/418
    tf2_eigen.h was deprecated in https://github.com/ros2/geometry2/pull/413
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * move to hpp/cpp structure, create conversions file
  * Fix deprecation warning calling declare_parameter
    As of https://github.com/ros2/rclcpp/pull/1522, we must also declare the type of the parameter.
    We can do this implicitly by providing a default value.
    Prior to this change, distance_ was being default-initialized to 0.0 anyways.
  * Contributors: Evan Flynn, Francisco Martin Rico, Francisco Martín Rico, Harshal Deshpande, Jacob Perron, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 04 Dec 2022 08:00:00 -0000

ros-foxy-depth-image-proc (2.2.1-1focal) focal; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
    * Fixing version and maintainer problems in camera_calibration.
    * Applying ament_auto macros to depth_image_proc.
    * Cleaning up package.xml in image_pipeline.
    * Applying ament_auto macros to image_proc.
    * Applying ament_auto macros to image_publisher.
    * Applying ament_auto macros to image_rotate.
    * Applying ament_auto macros to image_view.
    * Replacing some deprecated headers in image_view.
    * Fixing some build warnings in image_view.
    * Applying ament_auto macros to stereo_image_proc.
    * Adding some linter tests to image_pipeline.
    * Updating package URLs to point to ROS Index.
  * Add rclcpp and rclcpp_components dependencies to package.xml. (#569 <https://github.com/ros-perception/image_pipeline/issues/569>) (#570 <https://github.com/ros-perception/image_pipeline/issues/570>)
    I noticed that these are listed in CMakeLists.txt but not in package.xml
    and this is causing a build failure for the binary releases on
    build.ros2.org:
    http://build.ros2.org/view/Dbin_ubhf_uBhf/job/Dbin_uB64__depth_image_proc__ubuntu_bionic_amd64__binary/
    Co-authored-by: Steven! Ragnarök <mailto:nuclearsandwich@users.noreply.github.com>
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-foxy-depth-image-proc (2.2.0-1focal) focal; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
    * Replacing deprecated header includes with new HPP versions.
    * CI: Switching to official Foxy Docker container.
    * Fixing headers which don't work correctly.
  * Contributors: Joshua Whitley
  * make parameters work in depth_image_proc (#544 <https://github.com/ros-perception/image_pipeline/issues/544>)
  * update depth_image_proc components (#543 <https://github.com/ros-perception/image_pipeline/issues/543>)
    * update depth_image_proc components
    This makes them loadable with the rclcpp_components
    interface. I've fully tested PointCloudXYZRGB and
    ConvertMetric, my use case doesn't use the others.
    I also lack a setup to test the launch files fully,
    but ran them with the realsense commented out and
    they appear to be OK.
    * fix linting
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 07:00:00 -0000

ros-foxy-depth-image-proc (2.0.0-1focal) focal; urgency=high

  * enable rclcpp_register_node_plugins (#368 <https://github.com/ros-perception/image_pipeline/issues/368>)
  * Port depth image proc on ROS2 (#362 <https://github.com/ros-perception/image_pipeline/issues/362>)
  * Initial ROS2 commit.
  * Contributors: Chris Ye, Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Dec 2018 08:00:00 -0000

ros-foxy-depth-image-proc (1.12.23-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 07:00:00 -0000

ros-foxy-depth-image-proc (1.12.22-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 08:00:00 -0000

ros-foxy-depth-image-proc (1.12.21-1focal) focal; urgency=high

  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-foxy-depth-image-proc (1.12.20-1focal) focal; urgency=high

  * Fix CMake warnings about Eigen.
  * Convert depth image metric from [m] to [mm]
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 07:00:00 -0000


